> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Change status of multiple envelope transfer rules

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/envelopes/transfer_rules
Content-Type: application/json

This method changes the status for one or more envelope transfer rules based on the `envelopeTransferRuleId`s in the request body. You use this method to change whether or not the rules are enabled.

**Note:** You cannot change any other information about the envelope transfer rule. Only Administrators can update envelope transfer rules. In addition, to use envelope transfer rules, the **Transfer Custody** feature must be enabled for your account.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/envelopes/envelopetransferrules/update

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

### Body (application/json)

This endpoint expects an envelopeTransferRuleInformation.

- `endPosition` (string, optional) — The last index position in the result set.
- `envelopeTransferRules` (list of envelopeTransferRule, optional) — Contains information about a specific envelope transfer rule.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `previousUri` (string, optional) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `resultSetSize` (string, optional) — The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the `totalSetSize`.
- `startPosition` (string, optional) — The starting index position of the current result set.
- `totalSetSize` (string, optional) — The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`.

## Response

### 200

Successful response.

- `endPosition` (string, optional) — The last index position in the result set.
- `envelopeTransferRules` (list of envelopeTransferRule, optional) — Contains information about a specific envelope transfer rule.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `previousUri` (string, optional) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `resultSetSize` (string, optional) — The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the `totalSetSize`.
- `startPosition` (string, optional) — The starting index position of the current result set.
- `totalSetSize` (string, optional) — The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### envelopeTransferRule

This object contains details about an envelope transfer rule.

- `carbonCopyOriginalOwner` (string, optional) — When `true`, the original owner is added as a carbon copy recipient after envelope transfer. The default value is `false`.
- `enabled` (string, optional) — When `true`, the envelope transfer rule is active.
- `envelopeTransferRuleId` (string, optional) — The ID of the envelope transfer rule. The system generates this ID when the rule is first created.
- `eventType` (string, optional) — The type of envelope event that triggers the transfer. Valid values are: - `sent` - `beforeSent` - `completed`
- `fromGroup` (group, optional) — This object contains information about a group.
- `fromUser` (userInformation, optional) — User information.
- `modifiedDate` (string, optional) — The UTC DateTime when the envelope transfer rule was last modified. This property is read-only.
- `modifiedUser` (userInformation, optional) — User information.
- `toFolder` (folder, optional) — This object contains details about a folder.
- `toUser` (userInformation, optional) — User information.

### group

This object contains information about a group.

- `accessType` (string, optional)
- `dsGroupId` (string, optional) — Reserved for Docusign.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `groupId` (string, optional) — The Docusign group ID for the group. This is a read-only property.
- `groupName` (string, optional) — The name of the group.
- `groupType` (string, optional) — The group type.
- `isManagedByScim` (boolean, optional)
- `lastModifiedOn` (string, optional)
- `permissionProfileId` (string, optional) — This field is deprecated.
- `userGroupType` (string, optional)
- `users` (list of userInfo, optional) — A list of the users in the group. This property is not used by [Groups: list](/docs/esign-rest-api/reference/usergroups/groups/list/). To get a list of users see [GroupUsers: list](/docs/esign-rest-api/reference/usergroups/groupusers/list/)
- `usersCount` (string, optional) — The total number of users in the group.

### userInformation

User information.

- `activationAccessCode` (string, optional) — Access code provided to the user to activate the account.
- `company` (string, optional) — The name of the user's company.
- `connectConfigurations` (list of connectUserObject, optional) — Object representing the user's custom Connect configuration.
- `countryCode` (string, optional) — The two-letter code for the user's country.
- `createdDateTime` (string, optional) — The UTC DateTime when the item was created.
- `customSettings` (list of nameValue, optional) — The name/value pair information for the user custom setting.
- `defaultAccountId` (string, optional) — The default account ID associated with the user.
- `email` (string, optional) — The user's email address. This property cannot be updated via `PUT` requests.
- `enableConnectForUser` (string, optional) — Boolean value that specifies whether the user is enabled for updates from Docusign Connect.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `firstName` (string, optional) — The user's first name. Maximum Length: 50 characters.
- `forgottenPasswordInfo` (forgottenPasswordInformation, optional) — A complex element that has up to four Question/Answer pairs for forgotten password information.
- `groupList` (list of group, optional) — A list of the group information for groups to add the user to. Use [UserGroups: listGroups](/docs/esign-rest-api/reference/usergroups/groups/list/) to get information about groups. When setting a user's group, only the `groupId` is required.
- `hasRemoteNotary` (boolean, optional)
- `homeAddress` (addressInformation, optional) — Contains address information.
- `initialsImageUri` (string, optional) — The URI for retrieving the image of the user's initials.
- `isAdmin` (string, optional) — When **true,** the user is an administrator.
- `isAlternateAdmin` (string, optional) — When **true,** the user is an alternate administrator. This user is not an administrator but will be set as such if all administrator memberships are closed.
- `isManagedByScim` (string, optional)
- `isMembershipManagedByScim` (string, optional)
- `isNAREnabled` (string, optional) — When **true,** National Association of Realtors (NAR) signature logos are enabled for the user.
- `jobTitle` (string, optional) — The user's job title.
- `lastLogin` (string, optional) — This property has been deprecated.
- `lastName` (string, optional) — The user's last name. Maximum Length: 50 characters.
- `licenseStatus` (string, optional) — If successful this value will be "Assigned" If there was an error, this value will be "Failed. Please try again later."
- `licenseType` (string, optional) — The user’s assigned license type. Only available for IAM plans. Must be one of the following values: - `Full - Enterprise`: Full license type available for customers who purchase the IAM Enterprise plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder. - `Full - Professional`: Full license type available for customers who purchase the IAM Professional plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder. - `Full - Standard`: Full license type available for customers who purchase the IAM Standard plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder. - `Full - Sales`: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder. - `Full - CX`: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes and Workflow Builder. - `Free`: Free license type available for all IAM customers; includes access to viewing the user’s own agreements and signing.
- `licenseTypes` (list of string, optional)
- `loginStatus` (string, optional) — Boolean value that indicates whether the user is currently logged in or not.
- `middleName` (string, optional) — The user's middle name. Limit: 50 characters.
- `password` (string, optional) — The user's password. This property is used only when adding a new user via a [Users: create](/docs/esign-rest-api/reference/users/users/create/) request. The value must conform to the password rules defined in the account [Security Settings](https://apps-d.docusign.com/admin/authenticate?goTo=securityInfo). This property is not returned by `GET` requests and cannot be updated via `PUT` requests.
- `passwordExpiration` (string, optional) — If password expiration is enabled, the date-time when the user's password expires.
- `permissionProfileId` (string, optional) — The ID of the permission profile. Use [AccountPermissionProfiles: list](/docs/esign-rest-api/reference/accounts/accountpermissionprofiles/list/) to get a list of permission profiles and their IDs. You can also download a CSV file of all permission profiles and their IDs from the **Settings > Permission Profiles** page of your eSignature account page.
- `permissionProfileName` (string, optional) — The name of the account permission profile. Example: `Account Administrator`
- `profileImageUri` (string, optional) — The URL for retrieving the user's profile image.
- `sendActivationEmail` (string, optional) — This field is no longer supported for most accounts. To create an eSignature user without sending an activation email, use the Admin API by following [these steps](/docs/admin-api/how-to/create-active-user/). You can also use this field to resend the activation email to a user who is not yet active by setting this field to the `"send"`.
- `sendActivationOnInvalidLogin` (string, optional) — When **true,** specifies that an additional activation email be sent if user's log on fails before the account is activated.
- `signatureImageUri` (string, optional) — An endpoint URI that you can use to retrieve the user's signature image.
- `subscribe` (string, optional)
- `suffixName` (string, optional) — The suffix for the user's name, such as Jr, IV, PhD, etc. Limit: 50 characters.
- `title` (string, optional) — The title of the user.
- `uri` (string, optional) — A URI containing the user ID.
- `userAddedToAccountDateTime` (string, optional) — The date and time that the user was added to the account.
- `userId` (string, optional) — The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
- `userName` (string, optional) — The name of the user.
- `userProfileLastModifiedDate` (string, optional) — The date and time that the user's profile was last modified.
- `userSettings` (userSettingsInformation, optional) — Properties that configure the settings for a user. Some elements of this object have a `metadata` property, which includes the following: - `rights`: The calling users permissions to edit this setting (can be `editable` or `read_only`) - `uiHint`: Internally used to build UIs (can be `available` or `hidden`) - `options`: The values supported for this setting (not all settings have this element)
- `userStatus` (string, optional) — Status of the user's account. One of: - `ActivationRequired` - `ActivationSent` - `Active` - `Closed` - `Disabled`
- `userType` (string, optional) — The type of user, for example `CompanyUser`.
- `workAddress` (addressInformation, optional) — Contains address information.

### folder

This object contains details about a folder.

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `filter` (filter, optional) — Use this object to create a filtered view of the items in a folder.
- `folderId` (string, optional) — The ID of the folder.
- `folderItems` (list of folderItem_v2, optional) — A list of envelopes and templates that the folder contains.
- `folders` (list of folder, optional) — A collection of folder objects returned in a response.
- `hasAccess` (string, optional) — When **true,** the current user has access to the folder.
- `hasSubFolders` (string, optional) — When **true,** the folder has subfolders.
- `itemCount` (string, optional) — The number of items in the folder.
- `name` (string, optional) — The name of the folder.
- `owner` (userInfo, optional)
- `parentFolderId` (string, optional) — The ID of the parent folder, or the special value `root` for the root folder.
- `parentFolderUri` (string, optional) — The URI of the parent folder.
- `subFolderCount` (string, optional) — The number of subfolders.
- `type` (string, optional) — The type of folder. Possible values include: - `draft` - `inbox` - `normal` (a system-generated folder) - `recyclebin` - `sentitems` - `custom` (a custom folder created by a user)
- `uri` (string, optional) — The URI for the folder.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

### userInfo

- `accountId` (string, optional) — The account ID associated with the envelope.
- `accountName` (string, optional) — The name on the account.
- `activationAccessCode` (string, optional) — Access code provided to the user to activate the account.
- `email` (string, optional) — The user's email address.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `ipAddress` (string, optional)
- `loginStatus` (string, optional) — When **true,** indicates that the user is logged in. This is a read-only property.
- `membershipId` (string, optional) — The user's membership ID.
- `sendActivationEmail` (string, optional) — This field is no longer supported for most accounts. To create an eSignature user without sending an activation email, use the Admin API by following [these steps](/docs/admin-api/how-to/create-active-user/).
- `uri` (string, optional) — A URI containing the user ID.
- `userId` (string, optional) — The ID of the user to access.
- `userName` (string, optional) — The name of the user.
- `userStatus` (string, optional) — Status of the user's account. One of: - `ActivationRequired` - `ActivationSent` - `Active` - `Closed` - `Disabled`
- `userType` (string, optional) — The type of user, for example `CompanyUser`.

### connectUserObject

- `configurationtype` (string, optional) — The type of custom Connect configuration being accessed.
- `connectId` (string, optional) — The ID of the custom Connect configuration being accessed.
- `enabled` (string, optional) — Boolean value that indicates whether the custom Connect configuration is enabled or not.
- `hasAccess` (string, optional)
- `senderSearchableItems` (list of string, optional)

### nameValue

A name-value pair that describes an item and provides a value for the item.

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name of the item.
- `originalValue` (string, optional) — The initial value of the item.
- `value` (string, optional) — The current value of the item.

### forgottenPasswordInformation

A complex element that has up to four Question/Answer pairs for forgotten password information.

- `forgottenPasswordAnswer1` (string, optional) — The answer to the first forgotten password challenge question.
- `forgottenPasswordAnswer2` (string, optional) — The answer to the second forgotten password challenge question.
- `forgottenPasswordAnswer3` (string, optional) — The answer to the third forgotten password challenge question.
- `forgottenPasswordAnswer4` (string, optional) — The answer to the fourth forgotten password challenge question.
- `forgottenPasswordQuestion1` (string, optional) — The first challenge question presented to a user who has forgotten their password.
- `forgottenPasswordQuestion2` (string, optional) — The second challenge question presented to a user who has forgotten their password.
- `forgottenPasswordQuestion3` (string, optional) — The third challenge question presented to a user who has forgotten their password.
- `forgottenPasswordQuestion4` (string, optional) — The fourth challenge question presented to a user who has forgotten their password.

### addressInformation

Contains address information.

- `address1` (string, optional) — The first line of the user's address. Maximum length: 100 characters.
- `address2` (string, optional) — The second line of the user's address. Maximum length: 100 characters.
- `city` (string, optional) — The user's city. Maximum length: 40 characters.
- `country` (string, optional) — The user's country. Maximum length: 50 characters.
- `fax` (string, optional) — A Fax number associated with the address if one is available.
- `phone` (string, optional) — A phone number associated with the address.
- `postalCode` (string, optional) — The user's postal code. Maximum length: 20 characters.
- `stateOrProvince` (string, optional) — The user's state or province. Maximum length: 40 characters.
- `zipPlus4` (string, optional)

### userSettingsInformation

Properties that configure the settings for a user. Some elements of this object have a `metadata` property, which includes the following: - `rights`: The calling users permissions to edit this setting (can be `editable` or `read_only`) - `uiHint`: Internally used to build UIs (can be `available` or `hidden`) - `options`: The values supported for this setting (not all settings have this element)

- `accountAgreementsAccessType` (string, optional) — Reserved for Docusign.
- `accountAgreementsAccessTypeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `accountManagementGranular` (userAccountManagementGranularInformation, optional) — Describes which account management capabilities a user has.
- `adminOnly` (string, optional) — Reserved for Docusign.
- `adminOnlyMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowAccessToAllAccountAgreements` (string, optional)
- `allowAccessToAllAccountAgreementsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowAutoTagging` (string, optional) — When **true,** the API returns suggested tabs for documents for this user.
- `allowedDocumentTemplateLibraryAccess` (string, optional)
- `allowedDocumentTemplateLibraryAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowedOrchestrationAccess` (string, optional)
- `allowedOrchestrationAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowEnvelopeTransferTo` (string, optional) — When **true,** this user can participate in envelope transfers on the account.
- `allowEnvelopeTransferToMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowEsealRecipients` (string, optional) — When **true,** this user can create [electronic seal recipients](/docs/esign-rest-api/reference/envelopes/enveloperecipients/#seal-recipient).
- `allowEsealRecipientsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowPowerFormsAdminToAccessAllPowerFormEnvelope` (string, optional) — When **true** and this user is an administrator, they can view all of the envelopes generated from PowerForms. The default value is **false.**
- `allowPowerFormsAdminToAccessAllPowerFormEnvelopeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowRecipientLanguageSelection` (string, optional) — When **true,** this user can set the language used in the standard email format for a recipient when creating an envelope.
- `allowRecipientLanguageSelectionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowSendOnBehalfOf` (string, optional) — When **true,** this user can send envelopes "on behalf of" other users through the API.
- `allowSendOnBehalfOfMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowSupplementalDocuments` (string, optional) — When **true,** this user can include supplemental documents.
- `allowSupplementalDocumentsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowTransactions` (string, optional)
- `allowTransactionsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `anchorTagVersionedPlacementEnabled` (string, optional) — Reserved for Docusign.
- `apiAccountWideAccess` (string, optional) — When **true,** indicates that this user can send envelope-specific API requests on the account.
- `apiAccountWideAccessMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `apiCanExportAC` (string, optional) — When **true,** this user can export authoritative copy for the account.
- `apiCanExportACMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `bulkSend` (string, optional) — When **true,** this user can use the bulk send feature for the account.
- `bulkSendMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canBulkUploadAgreements` (string, optional) — Reserved for Docusign.
- `canBulkUploadAgreementsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canChargeAccount` (string, optional) — Reserved for Docusign.
- `canChargeAccountMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canCreateTransaction` (string, optional)
- `canCreateTransactionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canDeleteDocumentsInTransaction` (string, optional)
- `canDeleteDocumentsInTransactionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canDeleteTransaction` (string, optional)
- `canDeleteTransactionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canEditSharedAddressbook` (string, optional) — When true, this user can edit the shared address book for the account.
- `canEditSharedAddressbookMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canLockEnvelopes` (string, optional) — Reserved for Docusign.
- `canLockEnvelopesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAccount` (string, optional) — When **true,** this user is an administrator for the account.
- `canManageAccountMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAgreementParties` (string, optional)
- `canManageAgreementPartiesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageDistributor` (string, optional) — Reserved for Docusign.
- `canManageDistributorMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageTemplates` (string, optional) — When **true,** this user can manage templates for the account.
- `canManageTemplatesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canSendAPIRequests` (string, optional) — When **true,** this user can send API requests on the account.
- `canSendAPIRequestsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canSendEnvelope` (string, optional) — When **true,** this user can send envelopes on the account.
- `canSendEnvelopeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canSendEnvelopesViaSMS` (string, optional)
- `canSendEnvelopesViaSMSMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canSignEnvelope` (string, optional) — When **true,** this user can sign envelopes.
- `canSignEnvelopeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canUseScratchpad` (string, optional) — When **true,** this user can use a scratchpad to edit information.
- `canUseScratchpadMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canUseSmartContracts` (string, optional) — Reserved for Docusign.
- `canUseSmartContractsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `disableDocumentUpload` (string, optional) — When **true,** this user is prohibited from uploading documents during sending.
- `disableDocumentUploadMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `disableOtherActions` (string, optional) — When **true,** this user can access the **Other Actions** menu.
- `disableOtherActionsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableDSPro` (string, optional) — Reserved for Docusign.
- `enableDSProMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableKeyTermsSuggestionsByDocumentType` (string, optional)
- `enableKeyTermsSuggestionsByDocumentTypeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableSequentialSigningAPI` (string, optional) — When **true,** the account can define the routing order of recipients for envelopes sent by using the eSignature API. **Note:** Only SysAdmin users can change this setting.
- `enableSequentialSigningAPIMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableSequentialSigningUI` (string, optional) — When **true,** the account can define the routing order of recipients for envelopes sent by using the Docusign application. **Note:** Only SysAdmin users can change this setting.
- `enableSequentialSigningUIMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableSignerAttachments` (string, optional) — When **true,** this user can use the signing attachments feature.
- `enableSignerAttachmentsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableSignOnPaperOverride` (string, optional) — When **true,** a user can override the default default account setting for the Sign on Paper option, which specifies whether signers can sign documents on paper as an option to signing electronically. **Note:** Only Admin users can change this setting.
- `enableSignOnPaperOverrideMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableTransactionPoint` (string, optional) — Reserved for Docusign.
- `enableTransactionPointMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableVaulting` (string, optional) — When **true,** Vaulting is enabled for the account.
- `enableVaultingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `expressSendOnly` (string, optional) — When **false,** this user can apply tabs to documents during the sending experience.
- `isManagedByScim` (string, optional)
- `isManagedByScimMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `isMembershipManagedByScim` (string, optional)
- `isMembershipManagedByScimMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `isMembershipRedacted` (string, optional)
- `isMembershipRedactedMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `isUserRedacted` (string, optional)
- `isUserRedactedMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `locale` (string, optional) — The user's locale code. Valid values are: - `zh_CN` - `zh_TW` - `nl` - `en` - `fr` - `de` - `it` - `ja` - `ko` - `pt` - `pt_BR` - `ru` - `es`
- `localeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `localePolicy` (localePolicy, optional)
- `manageClickwrapsMode` (string, optional) — When **true,** this user can create and manage [Clickwraps](/docs/click-api/).
- `manageClickwrapsModeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `modifiedBy` (string, optional) — The user ID (GUID) of the user who last modified this user record. This property is read-only.
- `modifiedByMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `modifiedDate` (string, optional) — The date on which this user record was last modified.
- `modifiedDateMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `modifiedPage` (string, optional) — Note referencing the page that modified this user record.
- `modifiedPageMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `newSendUI` (string, optional) — Reserved for Docusign.
- `newSendUIMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `powerFormMode` (string, optional) — Indicates the Power Form mode setting for the user: - `none` - `admin` - `user`
- `powerFormModeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `recipientViewedNotification` (string, optional) — When **true,** this user receives notifications when envelopes are viewed.
- `recipientViewedNotificationMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `redactAtMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `redactMembershipAt` (string, optional)
- `sealIdentifiers` (list of sealIdentifier, optional) — Information about the seals associated with this user.
- `selfSignedRecipientEmailDocument` (string, optional) — Sets how self-signed documents are presented to the email recipients. Valid values are: - `include_pdf`: A PDF of the completed document is attached to the email. - `include_link`: A secure link to the self-signed documents is included in the email. **Note:** Only Admin users can change this setting.
- `selfSignedRecipientEmailDocumentMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `senderEmailNotifications` (senderEmailNotifications, optional) — Contains the settings for the email notifications that senders receive about the envelopes that they send.
- `signerEmailNotifications` (signerEmailNotifications, optional) — An array of email notifications that specifies the email the user receives when they are a recipient. When the specific email notification is set to true, the user receives those types of email notifications from Docusign. The user inherits the default account email notification settings when the user is created.
- `supplementalDocumentIncludeInDownload` (string, optional) — When **true,** this user gets supplemental documents when downloading documents.
- `supplementalDocumentsMustAccept` (string, optional) — When **true,** this user must accept supplemental documents.
- `supplementalDocumentsMustAcceptMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `supplementalDocumentsMustRead` (string, optional) — When **true,** this user must both view and accept supplemental documents.
- `supplementalDocumentsMustReadMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `supplementalDocumentsMustView` (string, optional) — When **true,** this user must view supplemental documents.
- `supplementalDocumentsMustViewMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templateActiveCreation` (string, optional) — When **true,** a new template is created each time the user sends an envelope.
- `templateActiveCreationMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templateApplyNotify` (string, optional) — When **true,** the system notifies this user before applying a matching template.
- `templateApplyNotifyMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templateAutoMatching` (string, optional) — When **true,** the system automatically applies a matching template to a document if only one template matches. If there are multiple matches, it displays a list of matches to select from.
- `templateAutoMatchingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templateMatchingSensitivity` (string, optional) — Percentage used when matching templates.
- `templateMatchingSensitivityMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `templatePageLevelMatching` (string, optional) — When **true,** users see template matching functionality.
- `templatePageLevelMatchingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneDST` (string, optional) — When true, daylight savings time is in effect for this user's time zone.
- `timezoneDSTMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneMask` (string, optional) — The custom DateTime format setting for this user.
- `timezoneMaskMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneOffset` (string, optional) — The timezone offset for the user. Valid values: - `tz_01_afghanistan` - `tz_02_alaskan` - `tz_03_arab` - `tz_04_arabian` - `tz_05_arabic` - `tz_06_argentina` - `tz_07_atlantic` - `tz_08_aus_central` - `tz_09_aus_eastern` - `tz_10_azerbaijan` - `tz_11_azores` - `tz_12_bangladesh` - `tz_13_canada_central` - `tz_14_cape_verde` - `tz_15_caucasus` - `tz_16_central_australia` - `tz_17_central_america` - `tz_18_central_asia` - `tz_19_central_brazilian` - `tz_20_central_europe` - `tz_21_central_european` - `tz_22_central_pacific` - `tz_23_central` - `tz_24_central_mexico` - `tz_25_china` - `tz_26_dateline` - `tz_27_east_africa` - `tz_28_east_australia` - `tz_29_east_europe` - `tz_30_east_south_america` - `tz_31_eastern` - `tz_32_egypt` - `tz_33_ekaterinburg` - `tz_34_fiji` - `tz_35_fli` - `tz_36_georgian` - `tz_37_gmt` - `tz_38_greenland` - `tz_39_greenwich` - `tz_40_gtb` - `tz_41_hawaiian` - `tz_42_india` - `tz_43_iran` - `tz_44_israel` - `tz_45_jordan` - `tz_46_kaliningrad` - `tz_47_kamchatka` - `tz_48_korea` - `tz_49_magadan` - `tz_50_mauritius` - `tz_51_mid_atlantic` - `tz_52_middle_east` - `tz_53_montevideo` - `tz_54_morocco` - `tz_55_mountain` - `tz_56_mountain_mexico` - `tz_57_myanmar` - `tz_58_north_central_asia` - `tz_59_namibia` - `tz_60_nepal` - `tz_61_new_zealand` - `tz_62_new_foundland` - `tz_63_north_asia_east` - `tz_64_north_asia` - `tz_65_pacific_sa` - `tz_66_pacific` - `tz_67_pacific_mexico` - `tz_68_pakistan` - `tz_69_paraguay` - `tz_70_romance` - `tz_71_russian` - `tz_72_sa_eastern` - `tz_73_sa_pacific` - `tz_74_sa_western` - `tz_75_samoa` - `tz_76_se_asia` - `tz_77_singapore` - `tz_78_south_africa` - `tz_79_sriLanka` - `tz_80_syria` - `tz_81_taipei` - `tz_82_tasmania` - `tz_83_tokyo` - `tz_84_tonga` - `tz_85_turkey` - `tz_86_ulaanbaatar` - `tz_87_us_eastern` - `tz_88_us_mountain` - `tz_89_venezuela` - `tz_90_vladivostok` - `tz_91_west_australia` - `tz_92_west_central_africa` - `tz_93_west_europe` - `tz_94_west_asia` - `tz_95_west_pacific` - `tz_96_yakutsk`
- `timezoneOffsetMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneSendingPref` (string, optional) — Reserved for Docusign.
- `timezoneSendingPrefMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timezoneSigningPref` (string, optional) — Reserved for Docusign.
- `timezoneSigningPrefMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `transactionPointSiteNameURL` (string, optional) — Reserved for Docusign.
- `transactionPointSiteNameURLMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `transactionPointUserName` (string, optional) — Reserved for Docusign.
- `transactionPointUserNameMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `vaultingMode` (string, optional) — Indicates the specified Vaulting mode: - `none` - `estored` - `electronic_original`
- `vaultingModeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `webForms` (string, optional)
- `webFormsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.

### filter

Use this object to create a filtered view of the items in a folder.

- `actionRequired` (string, optional) — When **true,** the current user needs to take action on the item.
- `expires` (string, optional) — The number of days a sent envelope remains active before it expires.
- `folderIds` (string, optional) — Filters for any combination of folder IDs and folder types. The possible folder types are: - `awaiting_my_signature` - `completed` - `draft` - `drafts` - `expiring_soon` - `inbox` - `out_for_signature` - `recyclebin` - `sentitems` - `waiting_for_others`
- `fromDateTime` (string, optional) — The UTC DateTime of the beginning of a date range. If no value is provided, the default search is the previous 30 days.
- `isTemplate` (string, optional) — When **true,** the item is a template.
- `order` (string, optional) — The order in which to sort the results. Valid values are: - `asc`: Ascending order. - `desc`: Descending order.
- `orderBy` (string, optional) — The field used to sort the results. Example: `Created`
- `searchTarget` (string, optional) — Reserved for Docusign.
- `searchText` (string, optional) — A free text search field for searching across the items in a folder. The search looks for the text that you enter in the recipient names and emails, envelope custom fields, sender name, and subject.
- `status` (string, optional) — The status of the envelope. By default, all statuses are returned. For details, see [Envelope Status Code Descriptions](/docs/esign-rest-api/esign101/rules-and-limits/responses/).
- `toDateTime` (string, optional) — The UTC DateTime of the end of a date range. If no value is provided, the default search is to the current date.

### folderItem_v2

Information about folder item results.

- `completedDateTime` (string, optional) — If the item is an envelope, this is the UTC DateTime when the envelope was completed.
- `createdDateTime` (string, optional) — The UTC DateTime when the item was created.
- `envelopeId` (string, optional) — If the item is an envelope, this is the ID of the envelope.
- `envelopeUri` (string, optional) — If the item is an envelope, this is the URI for retrieving it.
- `expireDateTime` (string, optional) — The date and time the envelope is set to expire.
- `folderId` (string, optional) — The ID of the folder.
- `folderUri` (string, optional) — If the item is a subfolder, this is the URI for retrieving it.
- `is21CFRPart11` (string, optional) — When **true,** indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES).
- `lastModifiedDateTime` (string, optional) — The date and time that the item was last modified.
- `ownerName` (string, optional) — The name of the user who owns the folder.
- `recipients` (recipients, optional) — Specifies the envelope recipients.
- `recipientsUri` (string, optional) — Contains a URI for an endpoint that you can use to retrieve the recipients.
- `senderCompany` (string, optional) — The name of the sender's company.
- `senderEmail` (string, optional) — The sender's email address.
- `senderName` (string, optional) — The sender's name.
- `senderUserId` (string, optional) — The sender's id.
- `sentDateTime` (string, optional) — The UTC DateTime when the envelope was sent. This property is read-only.
- `status` (string, optional) — Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later.
- `subject` (string, optional) — The subject of the envelope.
- `templateId` (string, optional) — The unique identifier of the template. If this is not provided, DocuSign will generate a value.
- `templateUri` (string, optional) — The URI for retrieving the template.

### settingsMetadata

Metadata that indicates whether a property is editable and describes setting-specific options.

- `is21CFRPart11` (string, optional) — When **true,** indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES).
- `options` (list of string, optional) — An array of option strings supported by this setting.
- `rights` (string, optional) — Indicates whether the property is editable. Valid values are: - `editable` - `read_only`
- `uiHint` (string, optional) — Reserved for Docusign.
- `uiOrder` (string, optional) — Reserved for Docusign.
- `uiType` (string, optional) — Reserved for Docusign.

### userAccountManagementGranularInformation

Describes which account management capabilities a user has.

- `canManageAccountSecuritySettings` (string, optional) — **True** if the user can manage account security settings.
- `canManageAccountSecuritySettingsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAccountSettings` (string, optional) — **True** if the user can manage account settings.
- `canManageAccountSettingsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageAdmins` (string, optional) — **True** if the user can manage administrators.
- `canManageAdminsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageConnect` (string, optional)
- `canManageConnectMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageDocumentRetention` (string, optional)
- `canManageDocumentRetentionMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageEnvelopeTransfer` (string, optional)
- `canManageEnvelopeTransferMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageGroupsButNotUsers` (string, optional)
- `canManageGroupsButNotUsersMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageJointAgreements` (string, optional)
- `canManageJointAgreementsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageReporting` (string, optional) — **True** if the user can manage reporting.
- `canManageReportingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageSharing` (string, optional) — **True** if the user can manage sharing.
- `canManageSharingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageSigningGroups` (string, optional) — **True** if the user can manage signing groups.
- `canManageSigningGroupsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageStamps` (string, optional)
- `canManageStampsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canManageUsers` (string, optional) — **True** if the user can manage users.
- `canManageUsersMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canViewOnlyAccountAdminPages` (string, optional)
- `canViewOnlyAccountAdminPagesMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `canViewUsers` (string, optional)

### localePolicy

- `addressFormat` (string, optional) — Specifies the address format. Valid values: - `en_us` - `ja_jp` - `zh_cn_tw`
- `addressFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `allowRegion` (string, optional)
- `calendarType` (string, optional) — Specifies the type of calendar. Valid values: - `gregorian` - `japanese` - `buddhist`
- `calendarTypeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `cultureName` (string, optional) — The two letter [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language code.
- `cultureNameMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `currencyCode` (string, optional) — The [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
- `currencyCodeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `currencyNegativeFormat` (string, optional) — Determines how negative currency values are displayed. In most cases, you should not need to change this value. See [Explicitly define formatting](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/#explicitly-define-formatting). Valid values: - `Default` `0` - `OPar_CSym_1_Comma_234_Comma_567_Period_89_CPar` `($1,234,567.89)` - `Minus_CSym_1_Comma_234_Comma_567_Period_89` `-$1,234,567.89` - `Minus_CSym_Space_1_Period_234_Period_567_Comma_89` `-$ 1.234.567,89` - `CSym_Space_Minus_1_Period_234_Period_567_Comma_89` `$ -1.234.567,89` - `Minus_1_Period_234_Period_567_Comma_89_Space_CSym` `-1.234.567,89 $` - `OPar_1_Space_234_Space_567_Comma_89_Space_CSym_CPar` `(1 234 567,89 $)` - `Minus_1_Space_234_Space_567_Comma_89_Space_CSym` `-1 234 567,89 $` - `CSym_Minus_1_Quote_234_Quote_567_Period_89` `$-1'234'567.89` - `Minus_CSym_1_Period_234_Period_567_Comma_89` `-$1.234.567,89` - `Minus_CSym_1_Comma_234_Comma_567` `-$1,234,567` - `Minus_CSym_12_Comma_34_Comma_567_Period_89` `-$12,34,567.89` - `OPar_CSym_Space_1234_Comma_567_Period_89_CPar` `($ 1234,567.89)` - `CSym_Space_Minus_12_Comma_34_Comma_567_Period_89` `$ -12,34,567.89` - `CSym_Minus_12_Comma_34_Comma_567_Period_89` `$-1,234,567.89` - `CSym_Space_Minus_1_Space_234_Space_567_Comma_89` `$ -1 234 567,89` - `CSym_Space_Minus_1_Space_234_Space_567_Period_89` `$ -1 234 567.89` - `Minus_CSym_Space_1_Space_234_Space_567_Comma_89` `-$ 1 234 567,89` - `Minus_1_Space_234_Space_567_Comma_89_CSym` `-1 234 567,89$` - `Minus_1_Space_234_Space_567_Period_89_Space_CSym` `-1 234 567.89 $` - `OPar_CSym_1_Period_234_Period_567_CPar` `(1.234.567)` - `OPar_CSym_1_Comma_234_Comma_567_CPar` `($1,234,567)` - `Minus_1_Comma_234_Comma_567_Period_89_Space_CSym` `-1,234,567.89 $` - `Minus_CSym_Space_1_Comma_234_Comma_567_Period_89` `-$ 1,234,567.89` - `OPar_CSym_Space_1_Period_234_Period_567_Comma_89_CPar` `($ 1.234.567,89)` - `OPar_CSym_Space_1_Quote_234_Quote_567_Period_89_CPar` `($ 1'234'567.89)` - `OPar_CSym_Space_1_Space_234_Space_567_Comma_89_CPar` `($ 1 234 567,89)` - `OPar_CSym_Space_1_Space_234_Space_567_Period_89_CPar` `($ 1 234 567.89)` - `OPar_CSym_12_Comma_34_Comma_567_Period_89_CPar` `($12,34,567.89)` - `OPar_CSym_Space_12_Comma_34_Comma_567_Period_89_CPar` `($ 12,34,567.89)` - `OPar_1_Comma_234_Comma_567_Period_89_Space_CSym_CPar` `(1,234,567.89 $)` - `OPar_1_Period_234_Period_567_Comma_89_Space_CSym_CPar` `(1.234.567,89 $)` - `OPar_1_Space_234_Space_567_Comma_89_CSym_CPar` `(1 234 567,89$)` - `OPar_1_Space_234_Space_567_Period_89_Space_CSym_CPar` `(1 234 567.89 $)` - `OPar_CSym_Space_1_Comma_234_Comma_567_Period_89_CPar` `($ 1,234,567.89)` - `Minus_CSym_1_Period_234_Period_567` `-$ 1.234.567` - `Minus_CSym_Space_1_Quote_234_Quote_567_Period_89` `-$ 1'234'567.89` - `Minus_CSym_Space_1_Space_234_Space_567_Period_89` `-$ 1 234 567.89` - `CSym_Minus_1_Comma_234_Comma_567` `$-1,234,567` - `CSym_Minus_1_Period_234_Period_567` `$-1.234.567` - `CSym_Space_Minus_1_Quote_234_Quote_567_Period_89` `$ -1'234'567.89` - `CSym_Space_Minus_1_Comma_234_Comma_567_Period_89` `$ -1,234,567.89` - `Minus_CSym_Space_12_Comma_34_Comma_567_Period_89` `-$ 12,34,567.89` - `Minus_1_Period_234_Period_567_Space_CSym` `-123.456.789 $` - `CSym_Minus_1_Space_234_Space_567_Comma_89` `$-123 456 789,00` - `Minus_1_Quote_234_Quote_567_Period_89_Space_CSym` `-123'456'789.00 $` - `CSym_1_Comma_234_Comma_567_Period_89_Minus` `$123,456,789.00-` - `CSym_Minus_1_Period_234_Period_567_Comma_89` `$-123.456.789,00` - `OPar_CSym_1_Period_234_Period_567_Comma_89_CPar` `($123.456.789,00)` - `Minus_CSym_1234_Comma_567_Period_89` `-$123456,789.00` - `Minus_CSym_1_Space_234_Space_567_Comma_89` `-$123 456 789,00`
- `currencyNegativeFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `currencyPositiveFormat` (string, optional) — Determines how positive currency values are displayed. In most cases, you should not need to change this value. See [Explicitly define formatting](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/#explicitly-define-formatting). Valid values: - `Default` Uses the current locale. - `CSym_1_Comma_234_Comma_567_Period_89` `$1,234,567.89` - `CSym_Space_1_Period_234_Period_567_Comma_89` `$ 1.234.567,89` - `Leading_1_Period_234_Period_567_Comma_89_Space_CSym` `1.234.567,89 $` - `Leading_1_Space_234_Space_567_Comma_89_Space_CSym` `1 234 567,89 $` - `CSym_Space_1_Quote_234_Quote_567_Period_89` `$ 1'234'567.89` - `CSym_1_Comma_234_Comma_567` `$1,234,567` - `CSym_Space_12_Comma_34_Comma_567_Period_89` `$ 12,34,567.89` - `CSym_12_Comma_34_Comma_567_Period_89` `$12,34,567.89` - `CSym_Space_1234_Comma_567_Period_89` `$ 1234,567.89` - `Leading_1_Space_234_Space_567_Period_89_Space_CSym` `1 234 567.89 $` - `CSym_Space_1_Space_234_Space_567_Comma_89` `$ 1 234 567,89` - `CSym_Space_1_Space_234_Space_567_Period_89` `$ 1 234 567.89` - `Leading_1_Space_234_Space_567_Comma_89_CSym` `1 234 567,89$` - `CSym_1_Period_234_Period_567` `$1.234.567` - `Leading_1_Comma_234_Comma_567_Period_89_Space_CSym` `1,234,567. $` (New Armenian) - `CSym_Space_1_Comma_234_Comma_567_Period_89` `$ 1,234,567.89` (Persian) - `CSym_1_Period_234_Period_567_Comma_89` `$123.456.789,00` (es-CO) - `Leading_1_Quote_234_Quote_567_Period_89_Space_CSym` `123'456'789.00 $` (fr-ch) - `CSym_1234_Comma_567_Period_89` `$123456,789.00` (es-PR) - `Leading_1_Period_234_Period_567_Space_CSym` `123.456.789 $` - `CSym_1_Space_234_Space_567_Comma_89` `$123 456 789,00` (en-ZA, es-CR)
- `currencyPositiveFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `customDateFormat` (string, optional)
- `customSignDateFormat` (string, optional)
- `customSignTimeFormat` (string, optional)
- `customTimeFormat` (string, optional)
- `dateFormat` (string, optional) — Specifies the date format. Valid values: - `default` used the UI's - `longformat` use the UI's long format - `dd_mm_yy` dd-MM-yy - `dd_mmm_yy` dd-MMM-yy - `dd_mm_yyyy` dd-MM-yyyy - `dd_mmm_yyyy` dd-MMM-yyyy - `ddmmmmyyyy` dd MMMM yyyy - `ddmmyyyy` dd/MM/yyyy - `ddmmyyyy_de` dd.MM.yyyy - `dmyyyy` d/M/yyyy - `d_m_yyyy` d-M-yyyy - `mmmd_yyyy` MMM d, yyyy - `mmm_dd_yyyy` MMM-dd-yyyy - `mmmmd_yyyy` MMMM d, yyyy - `mm_dd_yyyy` MM-dd-yyyy - `mdyyyy` M/d/yyyy - `yyyy_mmm_dd` yyyy-MMM-dd - `yyyy_mm_dd` yyyy-MM-dd - `yyyymmdd` yyyy/MM/dd - `yyyymd` yyyy/M/d - `custom` Customer set own value - `mmddyyyy` MM/dd/yyyy - `mmddyy` MM/dd/yy - `yyyy_mmmm_d` yyyy MMMM d
- `dateFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `effectiveAddressFormat` (string, optional)
- `effectiveCalendarType` (string, optional)
- `effectiveCurrencyCode` (string, optional)
- `effectiveCurrencyNegativeFormat` (string, optional)
- `effectiveCurrencyPositiveFormat` (string, optional)
- `effectiveCustomDateFormat` (string, optional)
- `effectiveCustomTimeFormat` (string, optional)
- `effectiveDateFormat` (string, optional)
- `effectiveInitialFormat` (string, optional)
- `effectiveNameFormat` (string, optional)
- `effectiveTimeFormat` (string, optional)
- `effectiveTimeZone` (string, optional)
- `initialFormat` (string, optional) — When a user is required to enter their initials, this property specifies how initials are rendered. The examples show the initials for "William Henry Gates". - `first1last1` "WG" - `last2` "GA" - `first2` "WI" - `last2_cjk` first two characters from last name in CJK characters.
- `initialFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `nameFormat` (string, optional) — Describes how names are displayed. Valid values: - `first_middle_last` William Henry Gates - `full` Mr William Henry Gates III - `last_first` Gates William - `lastfirst` GatesWilliam - `last_first_cjk` Gates William only with CJK characters - `lastfirst_cjk` GatesWilliam only with CJK characters
- `nameFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `signDateFormat` (string, optional) — The format for the signature date. Valid values are: - `d/M/yyyy` - `dd-MM-yy` - `dd-MMM-yy` - `dd-MM-yyyy` - `dd.MM.yyyy` - `dd-MMM-yyyy` - `dd MMMM yyyy` - `M/d/yyyy` - `MM-dd-yyyy` - `MM/dd/yyyy` - `MM/dd/yy` - `MMM-dd-yyyy` - `MMM d, yyyy` - `MMMM d, yyyy` - `yyyy-MM-dd` - `yyyy-MMM-dd` - `yyyy/MM/dd` - `yyyy MMMM d` **Note:** Only Admin users can change this setting.
- `signDateFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `signTimeFormat` (string, optional) — The format for the signature time. Valid values are: - `none` - `HH:mm` - `h:mm` - `HH:mm:ss` - `h:mm:ss`
- `signTimeFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timeFormat` (string, optional) — Specifies the time format. Valid values: - `none` None - `hh_mm` hh:mm - `hhmm` HH:mm - `hhmmss` HH:mm:ss - `hhmmsstt` HH:mm:ss tt - `hhmmtt` HH:mm tt - `hmm` h:mm - `hmmss` h:mm:ss - `hmmsstt` h:mm:ss tt - `hmmtt` h:mm tt - `custom` Customer-set format
- `timeFormatMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `timeZone` (string, optional) — Specifies the time zone. Valid values: - `TZ_01_AfghanistanStandardTime` - `TZ_02_AlaskanStandardTime` - `TZ_03_ArabStandardTime` - `TZ_04_ArabianStandardTime` - `TZ_05_ArabicStandardTime` - `TZ_06_ArgentinaStandardTime` - `TZ_07_AtlanticStandardTime` - `TZ_08_AUS_CentralStandardTime` - `TZ_09_AUS_EasternStandardTime` - `TZ_10_AzerbaijanStandardTime` - `TZ_11_AzoresStandardTime` - `TZ_12_BangladeshStandardTime` - `TZ_13_CanadaCentralStandardTime` - `TZ_14_CapeVerdeStandardTime` - `TZ_15_CaucasusStandardTime` - `TZ_16_CentralAustraliaStandardTime` - `TZ_17_CentralAmericaStandardTime` - `TZ_18_CentralAsiaStandardTime` - `TZ_19_CentralBrazilianStandardTime` - `TZ_20_CentralEuropeStandardTime` - `TZ_21_CentralEuropeanStandardTime` - `TZ_22_CentralPacificStandardTime` - `TZ_23_CentralStandardTime` - `TZ_24_CentralStandardTimeMexico` - `TZ_25_ChinaStandardTime` - `TZ_26_DatelineStandardTime` - `TZ_27_E_AfricaStandardTime` - `TZ_28_E_AustraliaStandardTime` - `TZ_29_E_EuropeStandardTime` - `TZ_30_E_SouthAmericaStandardTime` - `TZ_31_EasternStandardTime` - `TZ_32_EgyptStandardTime` - `TZ_33_EkaterinburgStandardTime` - `TZ_34_FijiStandardTime` - `TZ_35_FLE_StandardTime` - `TZ_36_GeorgianStandardTime` - `TZ_37_GMT_StandardTime` - `TZ_38_GreenlandStandardTime` - `TZ_39_GreenwichStandardTime` - `TZ_40_GTB_StandardTime` - `TZ_41_HawaiianStandardTime` - `TZ_42_IndiaStandardTime` - `TZ_43_IranStandardTime` - `TZ_44_IsraelStandardTime` - `TZ_45_JordanStandardTime` - `TZ_46_KaliningradStandardTime` - `TZ_47_KamchatkaStandardTime` - `TZ_48_KoreaStandardTime` - `TZ_49_MagadanStandardTime` - `TZ_50_MauritiusStandardTime` - `TZ_51_MidAtlanticStandardTime` - `TZ_52_MiddleEastStandardTime` - `TZ_53_MontevideoStandardTime` - `TZ_54_MoroccoStandardTime` - `TZ_55_MountainStandardTime` - `TZ_56_MountainStandardTimeMMexico` - `TZ_57_MyanmarStandardTime` - `TZ_58_N_CentralAsiaStandardTime` - `TZ_59_NamibiaStandardTime` - `TZ_60_NepalStandardTime` - `TZ_61_NewZealandStandardTime` - `TZ_62_NewfoundlandStandardTime` - `TZ_63_NorthAsiaEastStandardTime` - `TZ_64_NorthAsiaStandardTime` - `TZ_65_PacificSAStandardTime` - `TZ_66_PacificStandardTime` - `TZ_67_PacificStandardTimeMexico` - `TZ_68_PakistanStandardTime` - `TZ_69_ParaguayStandardTime` - `TZ_70_RomanceStandardTime` - `TZ_71_RussianStandardTime` - `TZ_72_SAEasternStandardTime` - `TZ_73_SAPacificStandardTime` - `TZ_74_SAWesternStandardTime` - `TZ_75_SamoaStandardTime` - `TZ_76_SE_AsiaStandardTime` - `TZ_77_SingaporeStandardTime` - `TZ_78_SouthAfricaStandardTime` - `TZ_79_SriLankaStandardTime` - `TZ_80_SyriaStandardTime` - `TZ_81_TaipeiStandardTime` - `TZ_82_TasmaniaStandardTime` - `TZ_83_TokyoStandardTime` - `TZ_84_TongaStandardTime` - `TZ_85_TurkeyStandardTime` - `TZ_86_UlaanbaatarStandardTime` - `TZ_87_US_EasternStandardTime` - `TZ_88_USMountainStandardTime` - `TZ_89_VenezuelaStandardTime` - `TZ_90_VladivostokStandardTime` - `TZ_91_W_AustraliaStandardTime` - `TZ_92_W_CentralAfricaStandardTime` - `TZ_93_W_EuropeStandardTime` - `TZ_94_WestAsiaStandardTime` - `TZ_95_WestPacificStandardTime` - `TZ_96_YakutskStandardTime`
- `timeZoneMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.

### sealIdentifier

- `sealDisplayName` (string, optional) — The user-friendly display name for a seal.
- `sealName` (string, optional) — The name of a seal.

### senderEmailNotifications

Contains the settings for the email notifications that senders receive about the envelopes that they send.

- `changedSigner` (string, optional) — When **true,** the sender receives an email notification if the signer changes.
- `clickwrapResponsesLimitNotificationEmail` (string, optional)
- `commentsOnlyPrivateAndMention` (string, optional) — When **true,** the user receives only comments that mention their own user name.
- `commentsReceiveAll` (string, optional) — When **true,** the user receives all comments.
- `deliveryFailed` (string, optional) — When **true,** the sender receives an email notification if envelope delivery fails.
- `envelopeComplete` (string, optional) — When **true,** the user receives an email notification when the envelope has been completed.
- `offlineSigningFailed` (string, optional) — When **true,** the user receives an email notification if offline signing failed.
- `powerformResponsesLimitNotificationEmail` (string, optional)
- `purgeDocuments` (string, optional) — When **true,** the user receives an email notification when a document purge occurs.
- `recipientViewed` (string, optional) — When **true,** the sender receives notification that a recipient viewed the envelope.
- `senderEnvelopeDeclined` (string, optional) — When **true,** the sender receives notification that the envelope was declined.
- `withdrawnConsent` (string, optional) — When **true,** the user receives an email notification if consent is withdrawn.

### signerEmailNotifications

An array of email notifications that specifies the email the user receives when they are a recipient. When the specific email notification is set to true, the user receives those types of email notifications from Docusign. The user inherits the default account email notification settings when the user is created.

- `agentNotification` (string, optional) — When **true,** the user receives agent notification emails.
- `carbonCopyNotification` (string, optional) — When **true,** the user receives notifications of carbon copy deliveries.
- `certifiedDeliveryNotification` (string, optional) — When **true,** the user receives notifications of certified deliveries.
- `commentsOnlyPrivateAndMention` (string, optional) — When **true,** the user receives only comments that mention their own user name.
- `commentsReceiveAll` (string, optional) — When **true,** the user receives all comments.
- `documentMarkupActivation` (string, optional) — When **true,** the user receives notification that document markup has been activated.
- `envelopeActivation` (string, optional) — When **true,** the user receives notification that the envelope has been activated.
- `envelopeComplete` (string, optional) — When **true,** the user receives an email notification when the envelope has been completed.
- `envelopeCorrected` (string, optional) — When **true,** the user receives notification that the envelope has been corrected.
- `envelopeDeclined` (string, optional) — When **true,** the user receives notification that the envelope has been declined.
- `envelopeVoided` (string, optional) — When **true,** the user receives notification that the envelope has been voided.
- `faxReceived` (string, optional) — Reserved for Docusign.
- `offlineSigningFailed` (string, optional) — When **true,** the user receives an email notification if offline signing failed.
- `purgeDocuments` (string, optional) — When **true,** the user receives an email notification when a document purge occurs.
- `reassignedSigner` (string, optional) — When **true,** the user receives notification that the envelope has been reassigned.
- `whenSigningGroupMember` (string, optional) — When **true,** the user receives notification that he or she is a member of the signing group.

### recipients

Specifies the envelope recipients.

- `agents` (list of agent, optional) — A list of agent recipients assigned to the documents.
- `authorizedSignatories` (list of authorizedSignatory, optional)
- `carbonCopies` (list of carbonCopy, optional) — A list of carbon copy recipients assigned to the documents.
- `certifiedDeliveries` (list of certifiedDelivery, optional) — A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
- `currentRoutingOrder` (string, optional) — The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
- `editors` (list of editor, optional) — A list of users who can edit the envelope.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `inPersonSigners` (list of inPersonSigner, optional) — Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
- `intermediaries` (list of intermediary, optional) — Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
- `notaries` (list of notaryRecipient, optional) — A list of notary recipients on the envelope.
- `notaryWitnesses` (list of notaryWitness, optional)
- `participants` (list of participant, optional)
- `recipientCount` (string, optional) — The number of recipients in the envelope.
- `seals` (list of sealSign, optional) — A list of electronic seals to apply to documents.
- `signers` (list of signer, optional) — A list of signers on the envelope.
- `witnesses` (list of witness, optional) — A list of signers who act as witnesses on the envelope.

### agent

Contains information about an agent recipient. An agent is a recipient who can add name and email information for recipients that appear after the agent in routing order.

- `accessCode` (string, optional) — If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required.
- `accessCodeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `addAccessCodeToEmail` (string, optional) — Optional. When **true,** the access code will be added to the email sent to the recipient. This nullifies the security measure of `accessCode` on the recipient.
- `additionalNotifications` (list of recipientAdditionalNotification, optional) — An array of additional notification objects.
- `allowSystemOverrideForLockedRecipient` (string, optional) — When **true,** if the recipient is locked on a template, advanced recipient routing can override the lock.
- `autoRespondedReason` (string, optional) — Error message provided by the destination email system. This field is only provided if the email notification to the recipient fails to send. This property is read-only.
- `bulkSendV2Recipient` (string, optional)
- `clientUserId` (string, optional) — Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Use this field to associate the signer with their userId in your app. Authenticating the user is the responsibility of your app when you use embedded signing. If the `clientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true,** an error is generated on sending. **Note:** This property is not returned by the [listStatusChanges](/docs/esign-rest-api/reference/envelopes/envelopes/liststatuschanges/) endpoint. Maximum length: 100 characters.
- `completedCount` (string, optional) — Indicates the number of times that the recipient has been through a signing completion for the envelope. If this number is greater than 0 for a signing group, only the user who previously completed may sign again. This property is read-only.
- `consentDetailsList` (list of consentDetails, optional)
- `customFields` (list of string, optional) — An optional array of strings that allows the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by DocuSign. Each customField string can be a maximum of 100 characters.
- `declinedDateTime` (string, optional) — The date and time the recipient declined the document. This property is read-only.
- `declinedReason` (string, optional) — The reason the recipient declined the document. This property is read-only.
- `deliveredDateTime` (string, optional) — The date and time that the envelope was delivered to the recipient. This property is read-only.
- `deliveryMethod` (string, optional) — The delivery method. One of: - `email` - `fax` - `SMS` - `WhatsApp` - `offline` The `SMS` and `WhatsApp` delivery methods are limited to `signer`, `carbonCopy`, and `certifiedDelivery` recipients. **Related topics** - [Using SMS delivery with the eSignature API](/docs/esign-rest-api/esign101/concepts/sms-delivery/using-sms-esignature/) - [How to request a signature by SMS or WhatsApp delivery](/docs/esign-rest-api/how-to/request-signature-sms-whatsapp/)
- `deliveryMethodMetadata` (propertyMetadata, optional) — Metadata about a property.
- `designatorId` (string, optional) — Reserved for Docusign.
- `designatorIdGuid` (string, optional) — Reserved for Docusign.
- `documentTemplateId` (string, optional)
- `documentVisibility` (list of documentVisibility, optional) — A list of `documentVisibility` objects. Each object in the list specifies whether a document in the envelope is visible to this recipient. For the envelope to use this functionality, Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true.**
- `email` (string, optional) — The email ID of the agent. Notification of the document to sign is sent to this email id. Maximum length: 100 characters.
- `emailMetadata` (propertyMetadata, optional) — Metadata about a property.
- `emailNotification` (recipientEmailNotification, optional) — Sets custom email subject and email body for individual recipients. **Note:** You must explicitly set `supportedLanguage` if you use this feature.
- `emailRecipientPostSigningURL` (string, optional)
- `embeddedRecipientStartURL` (string, optional) — Specifies a sender-provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from Docusign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through Docusign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. When `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at Docusign. The signing or viewing action is initiated by the Docusign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation launched by a partner. It is important to understand that in a typical embedded workflow, the authentication of an embedded recipient is the responsibility of the sending application. Docusign expects that senders will follow their own processes for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process is initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process, bypassing the sending application and any authentication steps the sending application would use. In this case, Docusign recommends that you use one of the normal Docusign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, Docusign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: `envelopeId`, `recipientId`, `recipientName`, `recipientEmail`, and `customFields`. The `customFields` property must be set for the recipient or envelope. The merge fields are enclosed in double brackets. _Example_: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]`
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `excludedDocuments` (list of string, optional) — Specifies the documents that are not visible to this recipient. Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true** for the envelope to use this. When enforce signer visibility is enabled, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent.
- `faxNumber` (string, optional) — Reserved for Docusign.
- `faxNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `firstName` (string, optional) — The recipient's first name. Maximum Length: 50 characters.
- `firstNameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fullName` (string, optional) — Reserved for Docusign.
- `fullNameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `idCheckConfigurationName` (string, optional) — The name of the authentication check to use. This value must match one of the authentication types that the account uses. The names of these authentication types appear in the web console sending interface in the Identify list for a recipient. This setting overrides any default authentication setting. Valid values are: - `Phone Auth $`: The recipient must authenticate by using two-factor authentication (2FA). You provide the phone number to use for 2FA in the `phoneAuthentication` object. - `SMS Auth $`: The recipient must authenticate via SMS. You provide the phone number to use in the `smsAuthentication` object. - `ID Check $`: The recipient must answer detailed security questions. **Example:** Your account has ID Check and SMS Authentication available. In the web console Identify list, these appear as ID Check $ and SMS Auth $. To use ID Check in an envelope, the idCheckConfigurationName should be ID Check $. For SMS, you would use SMS Auth $, and you would also need to add a phone number to the smsAuthentication node.
- `idCheckConfigurationNameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `idCheckInformationInput` (idCheckInformationInput, optional) — A complex element that contains input information related to a recipient ID check.
- `identityVerification` (recipientIdentityVerification, optional) — Specifies ID Verification applied on an envelope by workflow ID. See the [list](/docs/esign-rest-api/reference/accounts/identityverifications/list/) method in the [IdentityVerifications](/docs/esign-rest-api/reference/accounts/identityverifications/) resource for more information on how to retrieve workflow IDs available for an account. This can be used in addition to other [recipient authentication](https://support.docusign.com/en/guides/ndse-user-guide-recipient-authentication) methods.
- `inheritEmailNotificationConfiguration` (string, optional) — When **true** and the envelope recipient creates a Docusign account after signing, the Manage Account Email Notification settings are used as the default settings for the recipient's account.
- `lastName` (string, optional) — The recipient's last name.
- `lastNameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `lockedRecipientPhoneAuthEditable` (string, optional) — Reserved for Docusign.
- `lockedRecipientSmsEditable` (string, optional) — Reserved for Docusign.
- `name` (string, optional) — The full legal name of the recipient. Maximum Length: 100 characters. **Note:** You must always set a value for this property in requests, even if `firstName` and `lastName` are set.
- `nameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `note` (string, optional) — A note sent to the recipient in the signing email. This note is unique to this recipient. In the user interface, it appears near the upper left corner of the document on the signing screen. Maximum Length: 1000 characters.
- `noteMetadata` (propertyMetadata, optional) — Metadata about a property.
- `phoneAuthentication` (recipientPhoneAuthentication, optional) — A complex type that contains the elements: - `recipMayProvideNumber`: A Boolean value that specifies whether the recipient can use the phone number of their choice. - `senderProvidedNumbers`: A list of phone numbers that the recipient can use. - `recordVoicePrint`: Reserved for Docusign. - `validateRecipProvidedNumber`: Reserved for Docusign.
- `phoneNumber` (recipientPhoneNumber, optional) — Describes the recipient phone number.
- `proofFile` (recipientProofFile, optional) — The proof file of the recipient. [ID Evidence](/docs/idevidence-api/) uses proof files to store the identification data that recipients submit when verifying their ID with [ID Verification](/docs/esign-rest-api/esign101/concepts/documents/)
- `recipientAttachments` (list of recipientAttachment, optional) — Reserved for Docusign.
- `recipientAuthenticationStatus` (authenticationStatus, optional) — A complex element that contains information about a user's authentication status.
- `recipientFeatureMetadata` (list of featureAvailableMetadata, optional) — Metadata about the features that are supported for the recipient type. This property is read-only.
- `recipientId` (string, optional) — A local reference used to map recipients to other objects, such as specific document tabs. A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope. For example, many envelopes assign the first recipient a `recipientId` of `1`.
- `recipientIdGuid` (string, optional) — The globally-unique identifier (GUID) for a specific recipient on a specific envelope. If the same recipient is associated with multiple envelopes, they will have a different GUID for each one. This property is read-only.
- `recipientType` (string, optional) — The recipient type, as specified by the following values: - `agent`: Agent recipients can add name and email information for recipients that appear after the agent in routing order. - `carbonCopy`: Carbon copy recipients get a copy of the envelope but don't need to sign, initial, date, or add information to any of the documents. This type of recipient can be used in any routing order. - `certifiedDelivery`: Certified delivery recipients must receive the completed documents for the envelope to be completed. They don't need to sign, initial, date, or add information to any of the documents. - `editor`: Editors have the same management and access rights for the envelope as the sender. Editors can add name and email information, add or change the routing order, set authentication options, and can edit signature/initial tabs and data fields for the remaining recipients. - `inPersonSigner`: In-person recipients are Docusign users who act as signing hosts in the same physical location as the signer. - `intermediaries`: Intermediary recipients can optionally add name and email information for recipients at the same or subsequent level in the routing order. - `seal`: Electronic seal recipients represent legal entities. - `signer`: Signers are recipients who must sign, initial, date, or add data to form fields on the documents in the envelope. - `witness`: Witnesses are recipients whose signatures affirm that the identified signers have signed the documents in the envelope.
- `recipientTypeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `requireIdLookup` (string, optional) — When **true,** the recipient is required to use the specified ID check method (including Phone and SMS authentication) to validate their identity.
- `requireIdLookupMetadata` (propertyMetadata, optional) — Metadata about a property.
- `roleName` (string, optional) — Optional element. Specifies the role name associated with the recipient. This property is required when you are working with template recipients.
- `routingOrder` (string, optional) — Specifies the routing order of the recipient in the envelope.
- `routingOrderMetadata` (propertyMetadata, optional) — Metadata about a property.
- `sentDateTime` (string, optional) — The UTC DateTime when the envelope was sent. This property is read-only.
- `signedDateTime` (string, optional) — Reserved for Docusign.
- `signingGroupId` (string, optional) — The ID of the [signing group](https://support.docusign.com/s/document-item?bundleId=gav1643676262430&topicId=zgn1578456447934.html).
- `signingGroupIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `signingGroupName` (string, optional) — Optional. The name of the signing group. Maximum Length: 100 characters.
- `signingGroupType` (string, optional)
- `signingGroupUsers` (list of userInfo, optional) — A complex type that contains information about users in the signing group.
- `smsAuthentication` (recipientSMSAuthentication, optional) — Contains the element senderProvidedNumbers which is an Array of phone numbers the recipient can use for SMS text authentication.
- `socialAuthentications` (list of socialAuthentication, optional) — Deprecated.
- `status` (string, optional) — The recipient's status. This property is read-only. Valid values: - `autoresponded`: The recipient's email system auto-responded to the email from Docusign. This status is used in the web console to inform senders about the bounced-back email. This recipient status is only used if **Send-on-behalf-of** is turned off for the account. - `completed`: The recipient has completed their actions (signing or other required actions if not a signer) for an envelope. - `created`: The recipient is in a draft state. This value is only associated with draft envelopes (envelopes that have a status of `created`). - `declined`: The recipient declined to sign the documents in the envelope. - `delivered`: The recipient has viewed the documents in an envelope through the Docusign signing website. This is not an email delivery of the documents in an envelope. - `faxPending`: The recipient has finished signing and the system is waiting for a fax attachment from the recipient before completing their signing step. - `sent`: The recipient has been sent an email notification that it is their turn to sign an envelope. - `signed`: The recipient has completed (signed) all required tags in an envelope. This is a temporary state during processing, after which the recipient's status automatically switches to `completed`.
- `statusCode` (string, optional) — The code associated with the recipient's status. This property is read-only.
- `suppressEmails` (string, optional) — When **true,** email notifications are suppressed for the recipient, and they must access envelopes and documents from their Docusign inbox.
- `templateLocked` (string, optional) — When **true,** the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When **true,** the sender may not remove the recipient. Used only when working with template recipients.
- `totalTabCount` (string, optional) — The total number of tabs in the documents. This property is read-only.
- `userId` (string, optional) — The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
- `webFormRecipientViewId` (string, optional)

### authorizedSignatory

- `accessCode` (string, optional) — If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required.
- `accessCodeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `addAccessCodeToEmail` (string, optional) — This Optional attribute indicates that the access code will be added to the email sent to the recipient; this nullifies the Security measure of Access Code on the recipient.
- `additionalNotifications` (list of recipientAdditionalNotification, optional)
- `agentCanEditEmail` (string, optional)
- `agentCanEditName` (string, optional)
- `allowSystemOverrideForLockedRecipient` (string, optional)
- `autoNavigation` (string, optional)
- `autoRespondedReason` (string, optional)
- `bulkRecipientsUri` (string, optional) — Contains a URI for an endpoint that allows you to easily retrieve bulk recipient information.
- `bulkSendV2Recipient` (string, optional)
- `canSignOffline` (string, optional) — When set to **true**, specifies that the signer can perform the signing ceremony offline.
- `clientUserId` (string, optional) — Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Note that if the `ClientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true**, an error is generated on sending.ng. Maximum length: 100 characters.
- `completedCount` (string, optional)
- `consentDetailsList` (list of consentDetails, optional)
- `creationReason` (string, optional)
- `customFields` (list of string, optional) — An optional array of strings that allows the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by DocuSign. Each customField string can be a maximum of 100 characters.
- `declinedDateTime` (string, optional) — The date and time the recipient declined the document.
- `declinedReason` (string, optional) — The reason the recipient declined the document.
- `defaultRecipient` (string, optional)
- `delegatedBy` (delegationInfo, optional)
- `delegatedTo` (list of delegationInfo, optional)
- `deliveredDateTime` (string, optional) — Reserved: For DocuSign use only.
- `deliveryMethod` (string, optional) — Reserved: For DocuSign use only.
- `deliveryMethodMetadata` (propertyMetadata, optional) — Metadata about a property.
- `designatorId` (string, optional)
- `designatorIdGuid` (string, optional)
- `documentTemplateId` (string, optional)
- `documentVisibility` (list of documentVisibility, optional)
- `email` (string, optional)
- `emailMetadata` (propertyMetadata, optional) — Metadata about a property.
- `emailNotification` (recipientEmailNotification, optional) — Sets custom email subject and email body for individual recipients. **Note:** You must explicitly set `supportedLanguage` if you use this feature.
- `emailRecipientPostSigningURL` (string, optional)
- `embeddedRecipientStartURL` (string, optional) — Specifies a sender provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from DocuSign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through DocuSign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. If set to `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at DocuSign. The signing or viewing action is initiated by the DocuSign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation that is launched by any partner. It is important to remember that in a typical embedded workflow the authentication of an embedded recipient is the responsibility of the sending application, DocuSign expects that senders will follow their own process for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process in initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process bypassing the sending application and any authentication steps the sending application would use. In this case, DocuSign recommends that you use one of the normal DocuSign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, DocuSign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: envelopeId, recipientId, recipientName, recipientEmail, and customFields. The `customFields` property must be set fort the recipient or envelope. The merge fields are enclosed in double brackets. *Example*: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]`
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `excludedDocuments` (list of string, optional) — Specifies the documents that are not visible to this recipient. Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true** for the envelope to use this. When enforce signer visibility is enabled, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent.
- `faxNumber` (string, optional) — Reserved:
- `faxNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `firstName` (string, optional) — The user's first name. Maximum Length: 50 characters.
- `firstNameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fullName` (string, optional)
- `fullNameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `idCheckConfigurationName` (string, optional) — Specifies authentication check by name. The names used here must be the same as the authentication type names used by the account (these name can also be found in the web console sending interface in the Identify list for a recipient,) This overrides any default authentication setting. *Example*: Your account has ID Check and SMS Authentication available and in the web console Identify list these appear as 'ID Check $' and 'SMS Auth $'. To use ID check in an envelope, the idCheckConfigurationName should be 'ID Check '. If you wanted to use SMS, it would be 'SMS Auth $' and you would need to add you would need to add phone number information to the `smsAuthentication` node.
- `idCheckConfigurationNameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `idCheckInformationInput` (idCheckInformationInput, optional) — A complex element that contains input information related to a recipient ID check.
- `identityVerification` (recipientIdentityVerification, optional) — Specifies ID Verification applied on an envelope by workflow ID. See the [list](/docs/esign-rest-api/reference/accounts/identityverifications/list/) method in the [IdentityVerifications](/docs/esign-rest-api/reference/accounts/identityverifications/) resource for more information on how to retrieve workflow IDs available for an account. This can be used in addition to other [recipient authentication](https://support.docusign.com/en/guides/ndse-user-guide-recipient-authentication) methods.
- `inheritEmailNotificationConfiguration` (string, optional) — When set to **true** and the envelope recipient creates a DocuSign account after signing, the Manage Account Email Notification settings are used as the default settings for the recipient's account.
- `isBulkRecipient` (string, optional)
- `isBulkRecipientMetadata` (propertyMetadata, optional) — Metadata about a property.
- `lastName` (string, optional)
- `lastNameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `lockedRecipientPhoneAuthEditable` (string, optional)
- `lockedRecipientSmsEditable` (string, optional)
- `name` (string, optional)
- `nameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `notaryId` (string, optional)
- `notarySignerEmailSent` (string, optional)
- `note` (string, optional) — Specifies a note that is unique to this recipient. This note is sent to the recipient via the signing email. The note displays in the signing UI near the upper left corner of the document on the signing screen. Maximum Length: 1000 characters.
- `noteMetadata` (propertyMetadata, optional) — Metadata about a property.
- `offlineAttributes` (offlineAttributes, optional) — Reserved for Docusign.
[...]
